package com.ycwl.basic.mapper;
import com.ycwl.basic.model.pc.coupon.entity.CouponEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ycwl.basic.model.pc.coupon.req.CouponQueryReq;
import com.ycwl.basic.model.pc.coupon.resp.CouponRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CouponMapper extends BaseMapper<CouponEntity> {
    List<CouponRespVO> selectByQuery(CouponQueryReq query);

    int updateStatus(Integer id);

    CouponEntity getById(Integer couponId);
}